<?php
namespace Folha\Repositories;

class FpaLotelancevento extends \Doctrine\ORM\EntityRepository
{
    /**
     * @param Lotelancevento $info
     */
    public static function insereItem(Lotelancevento $info)
    {
        $params = array('P_NRLOTELANCEVENTO'    => $info->getNrlotelancevento(),
            'P_DSLOTELANCEVENTO'    => $info->getDslotelancevento(),
            'P_DTLOTELANCEVENTO'    => $info->getDtlotelancevento()->format('d/m/Y'),
            'P_DTCOMPETLOTEEVE'     => $info->getDtcompetloteeve()->format('d/m/Y'),
            'P_IDSTATUSLOTELANC'    => $info->getIdstatuslotelanc(),
            'P_DSOBSLOTELANC'       => $info->getDsobslotelanc(),
            'P_IDORIGLOTELANC'      => $info->getIdoriglotelanc(),
            'P_NRTIPOMOVIMENT'      => $info->getNrtipomoviment(),
            'P_IDATIVO'             => $info->getIdativo(),
            'P_NRORGINCLUSAO'       => $info->getNrorginclusao(),
            'P_DTINCLUSAO'          => $info->getDtinclusao()->format('d/m/Y'),
            'P_CDOPERINCLUSAO'      => $info->getCdoperinclusao(),
            'P_NRORGULTATU'         => $info->getNrorgultatu(),
            'P_DTULTATU'            => $info->getDtultatu()->format('d/m/Y'),
            'P_CDOPERULTATU'        => $info->getCdoperultatu(),
            'P_NRORG'               => $info->getNrorg());

        $sql = <<<SQL
INSERT INTO FPA_LOTELANCEVENTO (
    NRLOTELANCEVENTO,
    DSLOTELANCEVENTO,
    DTLOTELANCEVENTO,
    DTCOMPETLOTEEVE,
    IDSTATUSLOTELANC,
    DSOBSLOTELANC,
    IDORIGLOTELANC,
    NRTIPOMOVIMENT,
    IDATIVO,
    NRORGINCLUSAO,
    DTINCLUSAO,
    CDOPERINCLUSAO,
    NRORGULTATU,
    DTULTATU,
    CDOPERULTATU,
    NRORG)
VALUES (:P_NRLOTELANCEVENTO,
    :P_DSLOTELANCEVENTO,
    :P_DTLOTELANCEVENTO,
    :P_DTCOMPETLOTEEVE,
    :P_IDSTATUSLOTELANC,
    :P_DSOBSLOTELANC,
    :P_IDORIGLOTELANC,
    :P_NRTIPOMOVIMENT,
    :P_IDATIVO,
    :P_NRORGINCLUSAO,
    :P_DTINCLUSAO,
    :P_CDOPERINCLUSAO,
    :P_NRORGULTATU,
    :P_DTULTATU,
    :P_CDOPERULTATU,
    :P_NRORG)
SQL;

        try {
            \Setforms2\Shared\Connection::getInstance()->execute($sql, $params);

            return true;

        } catch (\Exception $e) {
            throw $e;
        }

    }

}